You can use the current version of Workstation in a mixed environment with virtual machines that were created with earlier versions of Workstation or with other VMware products.

Although you can use the current version of Workstation to power on virtual machines that were created with older versions of Workstation or other VMware products, many new features of Workstation are not available in older virtual machines.

If you decide not to upgrade a virtual machine, you should still upgrade VMware Tools to the latest version in the guest operating system. Do not remove the older version of VMware Tools before installing the new version.

You can also use the current version of Workstation to create a version 4, 5.x, 6.x, and 7.x virtual machine.

If you have a Workstation 2, 3, or 4 virtual machine that you want to use with the current version of Workstation, upgrade the virtual machine to at least Workstation version 5 before you attempt to power it on.